#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x097ef5f9, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x11d6d377, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x36893bbd, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xa39e9713, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x60a356c9, "ether_setup" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x5b740610, "__ethtool_get_link_ksettings" },
	{ 0xdd64e639, "strscpy" },
	{ 0x639d4ec0, "init_net" },
	{ 0xedc84980, "generic_hwtstamp_set_lower" },
	{ 0x70ff1d76, "generic_hwtstamp_get_lower" },
	{ 0xf533c62, "dev_mc_del" },
	{ 0x5676b65f, "dev_uc_del" },
	{ 0x9d2a5a0d, "dev_mc_add_excl" },
	{ 0x13801273, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x5c051103, "__netpoll_free" },
	{ 0xa3dc91da, "vlan_vid_del" },
	{ 0x9dbe5af2, "vlan_vid_add" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x31ef1015, "dev_set_allmulti" },
	{ 0xfd271227, "dev_set_promiscuity" },
	{ 0x27a147d1, "dev_uc_unsync" },
	{ 0x7f902e4a, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xcd4ad6f8, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa2099a72, "rtnl_link_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12e5e082, "nla_put" },
	{ 0x6208c939, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x56b27711, "dev_uc_add" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x60879c23, "unregister_netdevice_queue" },
	{ 0xe5c15002, "netdev_upper_dev_unlink" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb343571c, "dev_addr_mod" },
	{ 0x4a97221b, "dev_set_mac_address" },
	{ 0x593f5c8a, "dev_set_mtu" },
	{ 0x8a55c321, "call_netdevice_notifiers" },
	{ 0x55707a46, "netif_inherit_tso_max" },
	{ 0x38059156, "netdev_update_features" },
	{ 0x42758b78, "netif_stacked_transfer_operstate" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x32f7bcef, "dev_uc_sync" },
	{ 0xa4409693, "dev_mc_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xab28533b, "skb_clone" },
	{ 0x8d888b71, "netif_rx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xcf3c2a2, "__dev_forward_skb" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63b7d905, "consume_skb" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x609fb278, "netdev_rx_handler_unregister" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xec514e15, "__dev_get_by_index" },
	{ 0x7ba79bfe, "netdev_is_rx_handler_busy" },
	{ 0x4099d3d, "netdev_rx_handler_register" },
	{ 0x8edc194d, "register_netdevice" },
	{ 0x2de9609a, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3d9c41aa, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x19f6e352, "__dev_queue_xmit" },
	{ 0xc2bc4283, "netpoll_send_skb" },
	{ 0x94719fa2, "dev_forward_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9ff0e9d3, "__netif_rx" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xfd12d8ba, "netdev_core_stats_alloc" },
	{ 0xdcf9dc2d, "ip_check_defrag" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8a360e48, "passthru_features_check" },
	{ 0xb70dbf1b, "eth_validate_addr" },
	{ 0xc31c6465, "ndo_dflt_fdb_dump" },
	{ 0x2ea81bcd, "eth_header_parse" },
	{ 0x79e70ee9, "eth_header_cache" },
	{ 0x93fa0f0c, "eth_header_cache_update" },
	{ 0xf47cefaf, "ethtool_op_get_link" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "655CB35379F9C4F79C8DD4D");
