#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x0233d82d, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0xf87ef2d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5bcba217, "dev_open" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf96063c6, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x593f5c8a, "dev_set_mtu" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb82055a9, "pci_bus_type" },
	{ 0x876c984b, "vlan_uses_dev" },
	{ 0xc8500cf7, "netdev_err" },
	{ 0x5b740610, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa3dc91da, "vlan_vid_del" },
	{ 0x9dbe5af2, "vlan_vid_add" },
	{ 0xdcb764ad, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7bf03779, "dev_get_stats" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd7b2d6b6, "dev_uc_sync_multiple" },
	{ 0x877e1c99, "dev_mc_sync_multiple" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83368e56, "netdev_pick_tx" },
	{ 0xa8c8660b, "alloc_etherdev_mqs" },
	{ 0xb343571c, "dev_addr_mod" },
	{ 0x8b0f74b9, "register_netdev" },
	{ 0xd13be0ae, "netif_carrier_off" },
	{ 0xd141b3cd, "failover_register" },
	{ 0x2980415f, "_dev_err" },
	{ 0xfa4ce83e, "free_netdev" },
	{ 0xc12d36eb, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd3595f83, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe76ab5b4, "failover_slave_unregister" },
	{ 0x81a224b, "failover_unregister" },
	{ 0x60879c23, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa128c0, "netdev_lower_state_changed" },
	{ 0x51759a48, "netif_carrier_on" },
	{ 0xe295d8fe, "netif_tx_wake_queue" },
	{ 0xbba5a4d8, "netif_tx_stop_all_queues" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3eb1b91e, "dev_close" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e4fe297, "vlan_vids_add_by_dev" },
	{ 0x8a55c321, "call_netdevice_notifiers" },
	{ 0x1fd718ee, "netdev_info" },
	{ 0x27a147d1, "dev_uc_unsync" },
	{ 0x7f902e4a, "dev_mc_unsync" },
	{ 0x957df76e, "vlan_vids_del_by_dev" },
	{ 0x19f6e352, "__dev_queue_xmit" },
	{ 0xc6fea12d, "dev_kfree_skb_any_reason" },
	{ 0xfd12d8ba, "netdev_core_stats_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8a360e48, "passthru_features_check" },
	{ 0xb70dbf1b, "eth_validate_addr" },
	{ 0xf47cefaf, "ethtool_op_get_link" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
