#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x22820090, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xdab81928, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf1c0c92a, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xaab6287a, "__f_setown" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1fd718ee, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xe56469aa, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x51759a48, "netif_carrier_on" },
	{ 0xd13be0ae, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12e5e082, "nla_put" },
	{ 0xfb236236, "from_kgid_munged" },
	{ 0xc5a0fb7, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x46a23dfc, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb9ad3d8, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xbba5a4d8, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcd4ad6f8, "rtnl_link_register" },
	{ 0x391de4f, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa2099a72, "rtnl_link_unregister" },
	{ 0x16b8c5d, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcb72665c, "xdp_return_frame" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xca7c93cd, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x160a09dd, "__folio_put" },
	{ 0x1006e08c, "__put_devmap_managed_page_refs" },
	{ 0x80e9d0ae, "dump_page" },
	{ 0xc04560af, "napi_gro_receive" },
	{ 0x34b21cfa, "napi_complete_done" },
	{ 0x331c82dc, "build_skb" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x9d498dfd, "skb_set_owner_w" },
	{ 0x5b7551d5, "bpf_prog_put" },
	{ 0x3dbf3f78, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7fda13b1, "sock_init_data_uid" },
	{ 0x48f15e85, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbe823432, "skb_queue_purge_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9d6638ce, "napi_get_frags" },
	{ 0x1680d9db, "iov_iter_single_seg_count" },
	{ 0xf7d77ec2, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa15b9826, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc723e137, "xdp_rxq_info_unreg" },
	{ 0x26bee6dc, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd3a61f58, "module_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x50e78c20, "netif_set_real_num_tx_queues" },
	{ 0xf8fda7dc, "netif_set_real_num_rx_queues" },
	{ 0x60879c23, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf7bc454d, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x303a850, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5a2691d0, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x8327967a, "__skb_flow_dissect" },
	{ 0x816c7d1, "__pskb_pull_tail" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x564fca79, "xdp_rxq_info_is_reg" },
	{ 0x8dd09995, "__xdp_rxq_info_reg" },
	{ 0xef7c583e, "xdp_rxq_info_reg_mem_model" },
	{ 0xadf94bed, "netif_napi_add_weight" },
	{ 0xa0cbff6b, "napi_enable" },
	{ 0x5e7a6768, "lock_sock_nested" },
	{ 0xf8a119dc, "sk_attach_filter" },
	{ 0xb6a0ca0b, "release_sock" },
	{ 0x670a3f15, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x857a0efc, "alloc_netdev_mqs" },
	{ 0x683d2b7f, "ip_tunnel_header_ops" },
	{ 0x8edc194d, "register_netdevice" },
	{ 0xe295d8fe, "netif_tx_wake_queue" },
	{ 0x60a356c9, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb343571c, "dev_addr_mod" },
	{ 0xfa4ce83e, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xfd12d8ba, "netdev_core_stats_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4dabf301, "skb_copy_datagram_iter" },
	{ 0xef6ac488, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xb13351a5, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc8500cf7, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x63b7d905, "consume_skb" },
	{ 0xe80b0ff6, "sock_recv_errqueue" },
	{ 0x3bb6e820, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x9c8fe5d4, "skb_clone_tx_timestamp" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3f87d999, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x437a35f5, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7f5433ec, "skb_copy_ubufs" },
	{ 0x20bf68a6, "__skb_get_hash_symmetric" },
	{ 0xdb962e69, "___pskb_trim" },
	{ 0xcdf6a769, "xdp_do_redirect" },
	{ 0x35bdf723, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xf21c5f5f, "__traceiter_xdp_exception" },
	{ 0x6332adb, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xebbf2ec9, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2d2cc613, "__page_frag_cache_drain" },
	{ 0x95c3665, "eth_type_trans" },
	{ 0xf28f7ea3, "xdp_master_redirect" },
	{ 0x1e01e756, "do_xdp_generic" },
	{ 0xc06ada1e, "skb_page_frag_refill" },
	{ 0x9baac079, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa782b2bd, "_copy_from_iter" },
	{ 0x33194fbf, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x17f6f7bd, "skb_copy_datagram_from_iter" },
	{ 0xa8d2b1ef, "napi_schedule_prep" },
	{ 0x4628df22, "sock_alloc_send_pskb" },
	{ 0xcf518b2f, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe1ce445d, "skb_push" },
	{ 0x9b040c44, "eth_get_headlen" },
	{ 0x7ecdb570, "napi_gro_frags" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0xac59c64f, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xbad1b496, "dev_get_mac_address" },
	{ 0x6c563fa9, "get_net_ns" },
	{ 0x43059dc, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x650499a9, "sk_detach_filter" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x38059156, "netdev_update_features" },
	{ 0x618f2198, "make_kgid" },
	{ 0x3e6bbfca, "make_kuid" },
	{ 0x8b4d4da1, "init_user_ns" },
	{ 0xc539cc0b, "from_kuid" },
	{ 0x8eac9eb9, "dev_set_mac_address_user" },
	{ 0x8a55c321, "call_netdevice_notifiers" },
	{ 0x759909f3, "from_kgid" },
	{ 0xde42e56d, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf47cefaf, "ethtool_op_get_link" },
	{ 0xf2923f09, "ethtool_op_get_ts_info" },
	{ 0x8a360e48, "passthru_features_check" },
	{ 0xbbfa07ed, "eth_mac_addr" },
	{ 0xb70dbf1b, "eth_validate_addr" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");
