#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9ec87789, "skb_pull" },
	{ 0x9ec394ad, "skb_trim" },
	{ 0x2980415f, "_dev_err" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x21f83d2a, "mii_check_media" },
	{ 0x91785e9f, "mii_ethtool_gset" },
	{ 0x87f86300, "__dynamic_netdev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x391c85e8, "mii_link_ok" },
	{ 0xfe3de232, "usbnet_get_drvinfo" },
	{ 0x86b415c9, "generic_mii_ioctl" },
	{ 0x75d8831b, "usb_register_driver" },
	{ 0x415fb413, "usb_deregister" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x55e9ca73, "usbnet_link_change" },
	{ 0xdcb764ad, "memset" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x75d6f97b, "usbnet_write_cmd_async" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x752104ce, "skb_copy_expand" },
	{ 0xc6fea12d, "dev_kfree_skb_any_reason" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb343571c, "dev_addr_mod" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x131783e1, "usbnet_write_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7963ba1, "usbnet_read_cmd" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc8500cf7, "netdev_err" },
	{ 0x707ec4cb, "usbnet_get_endpoints" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc71d1acf, "mii_nway_restart" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x80d7c2dc, "usbnet_open" },
	{ 0x121cd2dd, "usbnet_stop" },
	{ 0x6b37b32d, "usbnet_start_xmit" },
	{ 0xb70dbf1b, "eth_validate_addr" },
	{ 0x6e11e453, "usbnet_change_mtu" },
	{ 0x14bc795e, "usbnet_tx_timeout" },
	{ 0xdb9ad3d8, "dev_get_tstats64" },
	{ 0xfad1752d, "usbnet_get_msglevel" },
	{ 0x31f862e4, "usbnet_set_msglevel" },
	{ 0x9d904f75, "usbnet_nway_reset" },
	{ 0xcefed1e0, "usbnet_get_link_ksettings_mii" },
	{ 0x741f7fb, "usbnet_set_link_ksettings_mii" },
	{ 0xd6d42838, "usbnet_probe" },
	{ 0xa9cce76d, "usbnet_disconnect" },
	{ 0xa753fd76, "usbnet_suspend" },
	{ 0xb8876ee0, "usbnet_resume" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3427d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "81EDAE61E825248A1C1D81B");
