#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xd74890e4, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xc9e1b46a, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xf7926e76, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x473c79f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2d931985, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x20653f39, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x37b3d67a, "skb_copy_bits" },
	{ 0x486a64fc, "__nlmsg_put" },
	{ 0x8f03838c, "netdev_adjacent_change_commit" },
	{ 0xbbfa07ed, "eth_mac_addr" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x82e5cecc, "ip6_dst_hoplimit" },
	{ 0x178ef280, "param_ops_ushort" },
	{ 0x63b7d905, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x13e328c9, "udp_sock_create4" },
	{ 0xf4ef651a, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf465438c, "udp_tunnel6_xmit_skb" },
	{ 0xcd4ad6f8, "rtnl_link_register" },
	{ 0x55707a46, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb70dbf1b, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xbac99fd6, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9e71b74c, "rtnl_create_link" },
	{ 0xc7f1845f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x60879c23, "unregister_netdevice_queue" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x6803fdf8, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x60a356c9, "ether_setup" },
	{ 0x277acdcd, "udp_tunnel_drop_rx_port" },
	{ 0x2de9609a, "netdev_upper_dev_link" },
	{ 0xf7d77ec2, "pskb_expand_head" },
	{ 0xcc063fef, "register_pernet_subsys" },
	{ 0xb343571c, "dev_addr_mod" },
	{ 0xfd12d8ba, "netdev_core_stats_alloc" },
	{ 0x95c3665, "eth_type_trans" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0x215b071d, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7da79846, "eth_gro_complete" },
	{ 0xcb432481, "rtnl_set_sk_err" },
	{ 0x815e11a6, "eth_gro_receive" },
	{ 0xd232495b, "rtnl_configure_link" },
	{ 0xce8a2ad4, "skb_tunnel_check_pmtu" },
	{ 0x6afe7187, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x21a4e767, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xec514e15, "__dev_get_by_index" },
	{ 0xa2099a72, "rtnl_link_unregister" },
	{ 0x8f2eb238, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x61fdf0a, "ipv6_stub" },
	{ 0x9ec87789, "skb_pull" },
	{ 0xbcf8eb6, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa025a078, "dev_get_by_index_rcu" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x963a430c, "gro_cells_receive" },
	{ 0xe1ce445d, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xe5c15002, "netdev_upper_dev_unlink" },
	{ 0x12e5e082, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd061a0b6, "__rtnl_register_many" },
	{ 0xfa4ce83e, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5d7ea1a3, "ip_mc_join_group" },
	{ 0xc3813b8f, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5e7a6768, "lock_sock_nested" },
	{ 0xf47cefaf, "ethtool_op_get_link" },
	{ 0x8c85110c, "nexthop_find_by_id" },
	{ 0xa7fa212f, "arp_create" },
	{ 0x5b740610, "__ethtool_get_link_ksettings" },
	{ 0x3b58ab80, "netdev_adjacent_change_prepare" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8a9bb12b, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x849dbd62, "netdev_adjacent_change_abort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xcb9156f5, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe30fc055, "__iptunnel_pull_header" },
	{ 0x816c7d1, "__pskb_pull_tail" },
	{ 0xdb9ad3d8, "dev_get_tstats64" },
	{ 0x8d888b71, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x23fb1c9c, "setup_udp_tunnel_sock" },
	{ 0x77e86b46, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9ec394ad, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x87f86300, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2b44419, "skb_scrub_packet" },
	{ 0x8c2db522, "nexthop_select_path" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5e56456a, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xacab15b8, "neigh_destroy" },
	{ 0x710ecb2c, "dst_cache_get_ip6" },
	{ 0x6097fde1, "dst_cache_get_ip4" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x2f1f6243, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd3e05af2, "dst_cache_set_ip6" },
	{ 0xebd2e9e1, "rtnl_notify" },
	{ 0xe08d45b3, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9ff0e9d3, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xab28533b, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7b055f6f, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x167626f4, "dst_release" },
	{ 0x3cc467f, "unregister_nexthop_notifier" },
	{ 0x26acd937, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdd4fde0d, "udp_tunnel_notify_del_rx_port" },
	{ 0xf216a43e, "register_nexthop_notifier" },
	{ 0x262c2bcc, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x56a3b975, "__rtnl_unregister_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x3d9d877c, "gro_find_receive_by_type" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x1fd718ee, "netdev_info" },
	{ 0x42cbaca, "neigh_lookup" },
	{ 0xb6a0ca0b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8edc194d, "register_netdevice" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A27C777E8AB621B4606F933");
