#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0x6d33a6f2, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x265a9a96, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0x08e98e23, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x71a37140, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0x839454ef, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0x41e677ea, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x5a38615f, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0x524fb96c, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0xf76c8396, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0x4f760348, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0x629bcc41, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0xc926a41d, "_gpl");
SYMBOL_CRC(__mt76u_init, 0x02b2749b, "_gpl");
SYMBOL_CRC(mt76u_init, 0xaf00c24e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xcbe40eef, "usb_free_urb" },
	{ 0xfd20eb2b, "devm_kmalloc" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcf5c1937, "page_pool_alloc_frag" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfc848d4e, "skb_add_rx_frag" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd58c88fb, "mt76_has_tx_pending" },
	{ 0x88bf9c90, "page_pool_destroy" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5bacc452, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xccfbca55, "kthread_park" },
	{ 0x66cb02c1, "sched_set_fifo_low" },
	{ 0x9ddda393, "mt76_tx_status_check" },
	{ 0xb3ea0c6b, "wake_up_process" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0xf307a8fc, "usb_submit_urb" },
	{ 0x178a6a65, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x331c82dc, "build_skb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x34985193, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x2980415f, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb90f526, "usb_control_msg" },
	{ 0x7f8b6ebb, "usb_poison_urb" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0xaa556c0b, "usb_unpoison_urb" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x202fecb7, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xf31a40d5, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x76f05c85, "mt76_queue_tx_complete" },
	{ 0x23cd3047, "kthread_create_on_node" },
	{ 0x90b763c0, "bpf_trace_run3" },
	{ 0xbd242bec, "mt76_rx_poll_complete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x279e48f9, "usb_kill_urb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x285e95a7, "usb_init_urb" },
	{ 0xa69a04a2, "mt76_create_page_pool" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xffaff212, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "mt76");


MODULE_INFO(srcversion, "EDB43920DAE9D8FDA34FCA1");
