#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x0f5187b9, "");
SYMBOL_CRC(sas_remove_host, 0x64fd2881, "");
SYMBOL_CRC(sas_get_address, 0xde047e4a, "");
SYMBOL_CRC(sas_tlr_supported, 0xe13431d5, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xadcc0a93, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x39203921, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xbcc47ca1, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x558fc62a, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x056b7421, "");
SYMBOL_CRC(sas_phy_add, 0xe9601993, "");
SYMBOL_CRC(sas_phy_free, 0x23cf2e79, "");
SYMBOL_CRC(sas_phy_delete, 0xbf9cdf3a, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xb82ec5af, "");
SYMBOL_CRC(sas_port_alloc, 0x379d782e, "");
SYMBOL_CRC(sas_port_alloc_num, 0xebf88f06, "");
SYMBOL_CRC(sas_port_add, 0x8ce6580f, "");
SYMBOL_CRC(sas_port_free, 0xe1f734b0, "");
SYMBOL_CRC(sas_port_delete, 0x9838666a, "");
SYMBOL_CRC(scsi_is_sas_port, 0xd0a94958, "");
SYMBOL_CRC(sas_port_get_phy, 0xfe631674, "");
SYMBOL_CRC(sas_port_add_phy, 0x78bdc6fd, "");
SYMBOL_CRC(sas_port_delete_phy, 0x4a5c865b, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x778874db, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xac48d1de, "");
SYMBOL_CRC(sas_end_device_alloc, 0x81394f79, "");
SYMBOL_CRC(sas_expander_alloc, 0x5bcdfaca, "");
SYMBOL_CRC(sas_rphy_add, 0xfb5d88a3, "");
SYMBOL_CRC(sas_rphy_free, 0x9f974ec1, "");
SYMBOL_CRC(sas_rphy_delete, 0x280ea618, "");
SYMBOL_CRC(sas_rphy_unlink, 0xa9b6a5b3, "");
SYMBOL_CRC(sas_rphy_remove, 0xaad3d713, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x7da55c47, "");
SYMBOL_CRC(sas_attach_transport, 0xf5439cf4, "");
SYMBOL_CRC(sas_release_transport, 0x3df39e9c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf551eeb5, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8ba59fc1, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x4aa64f67, "device_add" },
	{ 0x4d51e0df, "transport_add_device" },
	{ 0x30215df9, "transport_configure_device" },
	{ 0x68a61c5a, "device_del" },
	{ 0xbab87d68, "transport_destroy_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d1d0375, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xebe21fae, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x10d4a1b6, "scsi_scan_target" },
	{ 0xc7aa3f8b, "bsg_setup_queue" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc2a62a35, "transport_class_register" },
	{ 0xa43ddbf3, "transport_class_unregister" },
	{ 0xc4603bd7, "transport_remove_device" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x9339939, "attribute_container_register" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x5b481dff, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf8af2433, "_dev_printk" },
	{ 0xb55b0471, "scsi_mode_sense" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xd671be97, "attribute_container_unregister" },
	{ 0x9fbefd77, "scsi_remove_host" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xbcb0f44a, "bsg_remove_queue" },
	{ 0x7e4c6251, "scsi_remove_target" },
	{ 0x515d825d, "scsi_is_host_device" },
	{ 0x41687d82, "_dev_warn" },
	{ 0xa680cde5, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6183602d, "dma_opt_mapping_size" },
	{ 0xf5f47074, "device_initialize" },
	{ 0xf5490a80, "dev_set_name" },
	{ 0xb394605a, "transport_setup_device" },
	{ 0x5d58f5ac, "scsi_get_vpd_page" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "082852696E06971446548D5");
