#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xfcf0e823, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x15e9b7ad, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xa95eaade, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x7c666625, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x58bc9aa1, "_gpl");
SYMBOL_CRC(br_forward, 0xc0666ae8, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xfc1d6e59, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xa27addd2, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xcdfc0d03, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x48984062, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x072a8a69, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xd71c89aa, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x5fd7dd69, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x82fd021a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x7a667f24, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x8f20110f, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xa84bee7f, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x20c4013e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xf71aeacf, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x165f38ce, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xaefed594, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x8296f198, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x993bae0e, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xa8856c78, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xde51cd45, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x593f5c8a, "dev_set_mtu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x63ffb1b9, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x37b3d67a, "skb_copy_bits" },
	{ 0x486a64fc, "__nlmsg_put" },
	{ 0xcba380d7, "ipv6_mc_check_mld" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9580eb7d, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x38059156, "netdev_update_features" },
	{ 0x63b7d905, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xda2ab81c, "__traceiter_br_fdb_add" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5c051103, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x594e3534, "__traceiter_br_fdb_update" },
	{ 0x5676b65f, "dev_uc_del" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc2bc4283, "netpoll_send_skb" },
	{ 0xcd4ad6f8, "rtnl_link_register" },
	{ 0x236f7c12, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7a9421c5, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfd271227, "dev_set_promiscuity" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x60879c23, "unregister_netdevice_queue" },
	{ 0xbb0a5736, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf7bc454d, "netdev_state_change" },
	{ 0x7c1152ee, "__pskb_copy_fclone" },
	{ 0x670a3f15, "__dev_get_by_name" },
	{ 0x60a356c9, "ether_setup" },
	{ 0xc8500cf7, "netdev_err" },
	{ 0xf7d77ec2, "pskb_expand_head" },
	{ 0xcc063fef, "register_pernet_subsys" },
	{ 0x1add2788, "brioctl_set" },
	{ 0xb343571c, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xd4133c40, "arp_xmit" },
	{ 0x4bcea3bc, "__traceiter_br_mdb_full" },
	{ 0x857a0efc, "alloc_netdev_mqs" },
	{ 0x8a360e48, "passthru_features_check" },
	{ 0x53c88f75, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x609fb278, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9701f03f, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0x4b40a064, "kmem_cache_alloc" },
	{ 0xcb432481, "rtnl_set_sk_err" },
	{ 0xb7a6b8b6, "skb_vlan_pop" },
	{ 0xebe21fae, "sysfs_create_link" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd5fea55b, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f31131d, "nla_reserve_64bit" },
	{ 0xcca77427, "__ip_mc_dec_group" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xec514e15, "__dev_get_by_index" },
	{ 0xa2099a72, "rtnl_link_unregister" },
	{ 0xa243e341, "try_to_del_timer_sync" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x639d4ec0, "init_net" },
	{ 0x61fdf0a, "ipv6_stub" },
	{ 0x9849e308, "inet_confirm_addr" },
	{ 0x9ec87789, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b481dff, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2e217312, "skb_vlan_untag" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf0e7af, "rtnl_af_unregister" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x86486aba, "arp_send" },
	{ 0xa025a078, "dev_get_by_index_rcu" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x3e3c3985, "__traceiter_fdb_delete" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x652032cb, "mac_pton" },
	{ 0xe1ce445d, "skb_push" },
	{ 0xbd8a8b39, "kmem_cache_free" },
	{ 0xc31c6465, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xe5c15002, "netdev_upper_dev_unlink" },
	{ 0xe56469aa, "netif_receive_skb" },
	{ 0x12e5e082, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6629693e, "llc_mac_hdr_init" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd061a0b6, "__rtnl_register_many" },
	{ 0xfa4ce83e, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7fc79049, "kobject_init_and_add" },
	{ 0x3b929988, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xa550f824, "inet_select_addr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd77a79e4, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf47cefaf, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xa7fa212f, "arp_create" },
	{ 0x5b740610, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xccca4d12, "stp_proto_register" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x2bc470cc, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8a9bb12b, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x816c7d1, "__pskb_pull_tail" },
	{ 0xdb9ad3d8, "dev_get_tstats64" },
	{ 0x8d888b71, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xaebbbfc8, "ip_mc_check_igmp" },
	{ 0x1851643d, "__netdev_alloc_skb" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x42eddc29, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb557fc07, "kobject_create_and_add" },
	{ 0x9ec394ad, "skb_trim" },
	{ 0x19a67be3, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x87f86300, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c311f9, "__ip_mc_inc_group" },
	{ 0xa8367f35, "netdev_walk_all_upper_dev_rcu" },
	{ 0x31cde4ba, "sysfs_remove_group" },
	{ 0xce334a75, "__traceiter_br_fdb_external_learn_add" },
	{ 0xa029aecd, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6208c939, "__netpoll_setup" },
	{ 0x19f6e352, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9dbe5af2, "vlan_vid_add" },
	{ 0xacab15b8, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xa528c0ff, "kobject_del" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8a55c321, "call_netdevice_notifiers" },
	{ 0x966301f, "is_skb_forwardable" },
	{ 0xa3dc91da, "vlan_vid_del" },
	{ 0x31ef1015, "dev_set_allmulti" },
	{ 0x4b2a824c, "net_ns_get_ownership" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6fada58d, "netdev_master_upper_dev_get" },
	{ 0xc6616849, "ipv6_dev_mc_inc" },
	{ 0xebd2e9e1, "rtnl_notify" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd13be0ae, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xea51db55, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab28533b, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7b055f6f, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x167626f4, "dst_release" },
	{ 0x51759a48, "netif_carrier_on" },
	{ 0xed7c789, "kobject_uevent" },
	{ 0x26acd937, "arp_tbl" },
	{ 0xf482031b, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4099d3d, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x56b27711, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x77ea876, "netif_set_tso_max_size" },
	{ 0x19ea36ab, "dev_disable_lro" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x81544aec, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xeaf34361, "dev_get_flags" },
	{ 0x56a3b975, "__rtnl_unregister_many" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xc6fea12d, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa4c446c0, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xe8e26e5e, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x112295fa, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6bc251b, "skb_ext_add" },
	{ 0x3bf11635, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xea4ea159, "stp_proto_unregister" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x42cbaca, "neigh_lookup" },
	{ 0xb7920715, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x7a516335, "kobject_put" },
	{ 0x8edc194d, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "51113FCFB70E95585928F32");
