#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xb0f19a1a, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x40a2f375, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x852c7b66, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x52e8d530, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xa3f6301a, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xfd436e22, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xb35ce4f8, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x437dc28b, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x4a4761c5, "");
SYMBOL_CRC(key_type_rxrpc, 0x15069b8a, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x3ec247fc, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xca1147c5, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xbaac73ab, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x75ae0e43, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x0ce54e17, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x4505fdeb, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x4b3c34be, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xcd05f267, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xbfcbf280, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6891324e, "key_alloc" },
	{ 0x128dbdd4, "bpf_trace_run4" },
	{ 0x37b3d67a, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3de92ef3, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x63b7d905, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x13e328c9, "udp_sock_create4" },
	{ 0x874adcb4, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x4625ed80, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x1cf7e6c, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0xcbd8967a, "udpv6_sendmsg" },
	{ 0x38ac36ab, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaf405b45, "key_type_keyring" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x5bacc452, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7f1845f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbb0a5736, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc40bb154, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xc6c6214d, "register_key_type" },
	{ 0xbe70d59f, "proc_create_net_data" },
	{ 0x779c5cfa, "put_cmsg" },
	{ 0xb3ea0c6b, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xd8527f3e, "timer_reduce" },
	{ 0xcc27f8fc, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x77af7244, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc52da17b, "ipv6_icmp_error" },
	{ 0xe2811b3a, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3e6bbfca, "make_kuid" },
	{ 0xc8316f41, "ip6_route_output_flags" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x4b40a064, "kmem_cache_alloc" },
	{ 0x737dab16, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x667bff6a, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xfa5c6420, "work_busy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x87b10677, "__sock_recv_timestamp" },
	{ 0xde31500c, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x34985193, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x639d4ec0, "init_net" },
	{ 0x9ec87789, "skb_pull" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x3c01d109, "sock_enable_timestamps" },
	{ 0xbe475ca5, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6626afca, "down" },
	{ 0xaac19bba, "bpf_trace_run5" },
	{ 0x48f15e85, "sk_free" },
	{ 0xc7b64604, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0x11ff78ac, "kernel_sock_shutdown" },
	{ 0x7621d75, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd8a8b39, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x56f8ac95, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x6058c7bf, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0x5e7a6768, "lock_sock_nested" },
	{ 0x202fecb7, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4dabf301, "skb_copy_datagram_iter" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xc16211dc, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3dbf3f78, "sk_alloc" },
	{ 0x73a751fd, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe25c3322, "__sock_recv_wifi_status" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x84496014, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x63cbbf43, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd6ea1de7, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xa512cdb4, "key_validate" },
	{ 0x23fb1c9c, "setup_udp_tunnel_sock" },
	{ 0x7c4b3b06, "proc_remove" },
	{ 0x77e86b46, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23cd3047, "kthread_create_on_node" },
	{ 0x90b763c0, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x6b5ce28e, "keyring_search" },
	{ 0x5b20607b, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xae56b52b, "request_key_tag" },
	{ 0xc6cde844, "generic_key_instantiate" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xfea1ea6, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x188a98de, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab28533b, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x167626f4, "dst_release" },
	{ 0xa782b2bd, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x89f1b918, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0x18b4ad07, "sock_no_ioctl" },
	{ 0x33b46b29, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xbdba0c2, "bpf_trace_run7" },
	{ 0x98f4f082, "ip_icmp_error" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xca112cfa, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x26c5497b, "register_pernet_device" },
	{ 0x22b3f8bc, "skb_condense" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x94f001bb, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0xb7920715, "kmem_cache_destroy" },
	{ 0xb6a0ca0b, "release_sock" },
	{ 0x8bf4ff89, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4fb8a59d, "proc_create_net_single_write" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "14006AD810A222B3856E9F2");
