#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x6d435e79, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x6e44949d, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xce07915b, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x8aa48c60, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x5419d03e, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xbd7e3766, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x5e82b98f, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x1960b3fb, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xc9776bd9, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x5cfdfde2, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x7665fdbd, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x13da6324, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x2a1c5682, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xa3615cfe, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xf926e926, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xf678d10f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xe9e0c510, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x6fa6cb1c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x1b0c102f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x946000c2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x6f8304d2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x7407bfac, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xb0d4a62a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xd72a5f87, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xb6a652c7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x1713f692, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xdf5c4ca7, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x30a85353, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xeff72ba1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xe2802564, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x49e950d6, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xa7da4fb5, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x16ef6094, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xd6a9b4f1, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xdc5483cf, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xa3f3b63b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae75225b, "vsock_enqueue_accept" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xef6ac488, "_copy_to_iter" },
	{ 0xaec3bc71, "vsock_insert_connected" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x63b7d905, "consume_skb" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0xc5037dd5, "vsock_remove_sock" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0xf1cef943, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb71c4ae, "bpf_trace_run8" },
	{ 0xd0340dcc, "sk_error_report" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xa947c052, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x34985193, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x9ec87789, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x48f15e85, "sk_free" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xab989ed0, "__skb_recv_datagram" },
	{ 0x5e7a6768, "lock_sock_nested" },
	{ 0x819d0116, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2b9f742a, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xfbae7a52, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd2a769b2, "bpf_trace_run10" },
	{ 0x44f058cf, "vsock_core_get_transport" },
	{ 0x1813eb14, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa782b2bd, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x36e11277, "vsock_create_connected" },
	{ 0xb38a9dbe, "vsock_assign_transport" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0xb6a0ca0b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a8714a9, "vsock_data_ready" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "5A8AFCC033977F72CEAE6BF");
