#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xa6e02e84, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x2b0dce9d, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xb065cbec, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xf7ca69d6, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x799966dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x8f5108c6, "xsk_tx_completed" },
	{ 0xa8c8660b, "alloc_etherdev_mqs" },
	{ 0xd1c69ae7, "flow_block_cb_lookup" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x25536dcf, "pci_save_state" },
	{ 0xa1a8e77d, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc86a19e8, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb95156bf, "device_set_wakeup_enable" },
	{ 0x81b2dba, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x97532d9, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x597a726d, "pci_find_ext_capability" },
	{ 0x6a74bc94, "kthread_create_worker" },
	{ 0x5b7551d5, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xacc142ca, "xp_dma_map" },
	{ 0x24ca0e94, "devlink_unregister" },
	{ 0x37b3d67a, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbe2e1354, "devm_request_threaded_irq" },
	{ 0x222953c8, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xfd20eb2b, "devm_kmalloc" },
	{ 0x66d1939, "pci_wake_from_d3" },
	{ 0x437a35f5, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x657b9172, "__napi_alloc_skb" },
	{ 0x4f08457, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdfd92f52, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe848b83, "auxiliary_device_init" },
	{ 0xa2c01ee9, "pci_enable_device_mem" },
	{ 0x63b7d905, "consume_skb" },
	{ 0xe4b45794, "kthread_delayed_work_timer_fn" },
	{ 0x4bf1218a, "flow_rule_match_enc_ip" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd8ba174e, "pci_alloc_irq_vectors" },
	{ 0x8fd1ab32, "flow_rule_match_l2tpv3" },
	{ 0xadf94bed, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4d5d4fd1, "xsk_tx_peek_release_desc_batch" },
	{ 0x504c1259, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x6c89a4e3, "dmam_alloc_attrs" },
	{ 0x80e9d0ae, "dump_page" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x3be3a927, "devl_lock" },
	{ 0x35bdf723, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3c7bc597, "ndo_dflt_bridge_getlink" },
	{ 0xc12d36eb, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x424389e9, "xdp_features_set_redirect_target" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6b28710d, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa328ecfe, "request_firmware" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x5676b65f, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0x131c3e06, "flow_rule_match_cvlan" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x320b79f1, "__pci_register_driver" },
	{ 0x2e005c89, "devlink_params_unregister" },
	{ 0xe1ec1641, "dma_sync_single_for_device" },
	{ 0xa146bc0f, "pci_num_vf" },
	{ 0x214579cd, "flow_rule_match_eth_addrs" },
	{ 0xfc848d4e, "skb_add_rx_frag" },
	{ 0x18d3f5b6, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc1403190, "ptp_clock_index" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x153488bf, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbcfea76, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb64503e6, "devl_rate_leaf_destroy" },
	{ 0x677dab55, "devlink_register" },
	{ 0xcdf6a769, "xdp_do_redirect" },
	{ 0xeb202134, "devlink_free" },
	{ 0xb70dbf1b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5bacc452, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9eb0546d, "devl_rate_node_create" },
	{ 0x87cae6c7, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x197808f2, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xa005f6ca, "pci_set_power_state" },
	{ 0x7d7b80c9, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x63f8a647, "pci_irq_vector" },
	{ 0xeb44d1de, "flow_rule_match_ipv4_addrs" },
	{ 0x26bee6dc, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcd8f023f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf7bc454d, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xaab3ec7a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xc8500cf7, "netdev_err" },
	{ 0xf7d77ec2, "pskb_expand_head" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x8d61ea40, "devlink_flash_update_status_notify" },
	{ 0xe35a8637, "dev_driver_string" },
	{ 0x6b86c8c, "pci_restore_msi_state" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0x80ddf88c, "xdp_return_buff" },
	{ 0xb343571c, "dev_addr_mod" },
	{ 0xef7c583e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x95c3665, "eth_type_trans" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0x34b21cfa, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x75913ee9, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x8ba6f2f0, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8ba59fc1, "put_device" },
	{ 0xf389f784, "devm_free_irq" },
	{ 0xb1ca1490, "net_dim" },
	{ 0xac59c64f, "__napi_schedule" },
	{ 0x10254b64, "ipv6_skip_exthdr" },
	{ 0x4802ccab, "xsk_set_rx_need_wakeup" },
	{ 0x2e465595, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xd3595f83, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xb5b3aa0f, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xab3d2181, "__hw_addr_unsync_dev" },
	{ 0xeb0f6d7e, "_dev_info" },
	{ 0xc04560af, "napi_gro_receive" },
	{ 0x288d5b38, "netif_device_attach" },
	{ 0x5945d761, "xdp_features_clear_redirect_target" },
	{ 0x83368e56, "netdev_pick_tx" },
	{ 0x13dde13c, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf0bb9625, "xp_raw_get_dma" },
	{ 0x9b040c44, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x564fca79, "xdp_rxq_info_is_reg" },
	{ 0x3a960a53, "flow_rule_match_enc_opts" },
	{ 0x2d59da9a, "flow_block_cb_setup_simple" },
	{ 0x2208e32e, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xba43db63, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5bcba217, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1abd2ce7, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x141d531f, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x48d22927, "vlan_dev_real_dev" },
	{ 0xd846c950, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe904dfeb, "devm_kmemdup" },
	{ 0x7fb3de91, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x34985193, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x96e11fda, "devlink_port_unregister" },
	{ 0xa2fc81f6, "devlink_flash_update_timeout_notify" },
	{ 0x410ad177, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x2980415f, "_dev_err" },
	{ 0x639d4ec0, "init_net" },
	{ 0x1d211a9c, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcb72665c, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc3a9e8d5, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xe02b4cff, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf21c5f5f, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x50e78c20, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf8eb73d4, "__auxiliary_device_add" },
	{ 0xdc1cf391, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf8fda7dc, "netif_set_real_num_rx_queues" },
	{ 0x6b802289, "flow_indr_block_cb_alloc" },
	{ 0xcfd34f3f, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3eb1b91e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7c3f9cdd, "pci_device_is_present" },
	{ 0x40a4132e, "pci_read_config_word" },
	{ 0x25140a76, "pcie_flr" },
	{ 0xa0cbff6b, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x75050d30, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x277a8851, "dcbnl_ieee_notify" },
	{ 0x8271316c, "xsk_uses_need_wakeup" },
	{ 0x8b0f74b9, "register_netdev" },
	{ 0xf533c62, "dev_mc_del" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xfa4ce83e, "free_netdev" },
	{ 0x85e9415e, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf47cefaf, "ethtool_op_get_link" },
	{ 0x175d2cfa, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xbba5a4d8, "netif_tx_stop_all_queues" },
	{ 0x82498786, "pci_restore_state" },
	{ 0x73a751fd, "bpf_trace_run1" },
	{ 0xe295d8fe, "netif_tx_wake_queue" },
	{ 0x68a61c5a, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xcc98209d, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xa506c2e9, "dcb_getapp" },
	{ 0x6f763167, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x41687d82, "_dev_warn" },
	{ 0x11c5c570, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa920d559, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xce7e02d0, "netif_schedule_queue" },
	{ 0x79d4c8a4, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xac328b10, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2c552083, "flow_rule_match_ipv6_addrs" },
	{ 0xbae447df, "netdev_set_tc_queue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x84becd76, "ptp_clock_unregister" },
	{ 0x816c7d1, "__pskb_pull_tail" },
	{ 0x19ea3c7b, "xp_dma_unmap" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a39a8d8, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x87f86300, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa27f5fc9, "dma_set_coherent_mask" },
	{ 0x745a981, "xa_erase" },
	{ 0x2305130, "flow_rule_match_pppoe" },
	{ 0x2a327dad, "flow_rule_match_enc_control" },
	{ 0x90b763c0, "bpf_trace_run3" },
	{ 0x2d2cc613, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xcc0010ff, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x954eb15e, "rps_may_expire_flow" },
	{ 0xd0e999df, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc0f9346, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1141c4d6, "devlink_params_register" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x75e84318, "kthread_destroy_worker" },
	{ 0x92d0df84, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb40d5679, "flow_rule_match_enc_ports" },
	{ 0xc188f0cf, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8a55c321, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x172a4d4f, "pcie_print_link_status" },
	{ 0xef230ca7, "xp_set_rxq_info" },
	{ 0xd16fad0b, "flow_rule_match_vlan" },
	{ 0xc723e137, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfbf7f296, "napi_build_skb" },
	{ 0x7828240d, "netdev_master_upper_dev_get_rcu" },
	{ 0x8dd09995, "__xdp_rxq_info_reg" },
	{ 0x6fada58d, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd13be0ae, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8b48acb, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x18744f2, "__hw_addr_sync_dev" },
	{ 0x1a099bda, "devlink_port_register_with_ops" },
	{ 0x7a55239f, "pci_disable_sriov" },
	{ 0x7bf88112, "pldmfw_flash_image" },
	{ 0x8d1b1628, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x51759a48, "netif_carrier_on" },
	{ 0x8c05554b, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x13801273, "dev_uc_add_excl" },
	{ 0x236f3f4e, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x16d09bb3, "xp_free" },
	{ 0x9d2a5a0d, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5282886c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x77ea876, "netif_set_tso_max_size" },
	{ 0x8327967a, "__skb_flow_dissect" },
	{ 0x90b48957, "vlan_dev_vlan_id" },
	{ 0xb3f4eeaa, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xbbe9a6d9, "pcim_iomap_table" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0xf28f7ea3, "xdp_master_redirect" },
	{ 0xb12cf3c5, "__devm_add_action" },
	{ 0xa8d2b1ef, "napi_schedule_prep" },
	{ 0xcb88dacc, "napi_consume_skb" },
	{ 0xb769ef5a, "pci_read_config_byte" },
	{ 0xe94f3f19, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa15b9826, "napi_disable" },
	{ 0xc6fea12d, "dev_kfree_skb_any_reason" },
	{ 0xd7fc2cd, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x9e37c5ff, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xddfa0e00, "pci_free_irq_vectors" },
	{ 0xd223c2fc, "flow_rule_match_control" },
	{ 0x3a918665, "flow_rule_match_ip" },
	{ 0x75744359, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9c8fe5d4, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x3d29bd7b, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf2923f09, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x1fd718ee, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xaf4dc6b9, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "46CDBB71F70D0DE25EAD4BD");
