#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x6f282852, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x7df0c3a7, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x8c9f9736, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x8fc84f83, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x4ac827a2, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x9b627168, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x647ad982, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x72312583, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x98ea7b4f, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x2861ad28, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x583dd1cd, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0xea7f48ca, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x978cc95f, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x1505cd8c, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x90d89dc0, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x63e24d86, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xea765ee2, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xe19028f9, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xbc3d57b2, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xa69a04a2, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x77ddd82b, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x98ac4697, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x622e18aa, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xa8d4063d, "_gpl");
SYMBOL_CRC(mt76_rx, 0x8830bfdf, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xd58c88fb, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x9cb17afa, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x4aee05c6, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x31efd762, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xc80018c6, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x25ad71ba, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xbd242bec, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x677b39ba, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x2e956566, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x0abd4328, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x18ce1ab5, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x380a9162, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x7a565151, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xd82dd6b8, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x5fa0021f, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xc859c2e3, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xb07653d2, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x3cd63336, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x7b58e88c, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x9d52d0e4, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x791bfd54, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x1c8721ea, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xd992097f, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x3dfcd63b, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x325b0c73, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x8c16bc81, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x65a4dca1, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x0eb9cd84, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xb4837a59, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x9bf0241a, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0xf2955a45, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xab280937, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x8345b3ce, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x9303c987, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x15a4b00b, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xa2b3c5f7, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x2adeba61, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x1d7d608e, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xdac1570f, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x25748b20, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x9ddda393, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x4c6b4e17, "_gpl");
SYMBOL_CRC(mt76_tx, 0xd14e24c1, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xf9321d58, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x9271c716, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xe9706f52, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xa528fdb5, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xd494ec92, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xff04557c, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xe01333fb, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x76f05c85, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x7d05ef53, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x0508ca50, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xe86acacb, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xaebc2d5b, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x550f9920, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xa5c81f62, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x702cd191, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xfb314b2c, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x66ccd45e, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xe134cd9b, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x208efe64, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x185d81d0, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xcb4142bb, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x7c0c0fbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5aecf35, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xff43c53, "pcie_capability_read_word" },
	{ 0x81b2dba, "__skb_pad" },
	{ 0xa7c95fb1, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4d81ce9b, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x74c09b15, "__ieee80211_schedule_txq" },
	{ 0xabd6dfbd, "debugfs_attr_write" },
	{ 0xfd20eb2b, "devm_kmalloc" },
	{ 0x2e88cb62, "of_node_put" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x2ae43a2c, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcf5c1937, "page_pool_alloc_frag" },
	{ 0x63b7d905, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xadf94bed, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6c89a4e3, "dmam_alloc_attrs" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x4625ed80, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x55b52130, "ieee80211_free_hw" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xed46fe8f, "ieee80211_txq_schedule_start" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe1ec1641, "dma_sync_single_for_device" },
	{ 0xfc848d4e, "skb_add_rx_frag" },
	{ 0x89790b5b, "ieee80211_tx_status_ext" },
	{ 0xb4998925, "debugfs_create_blob" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x88bf9c90, "page_pool_destroy" },
	{ 0x7a1dd83c, "ieee80211_register_hw" },
	{ 0xd7c01938, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9cbfe2a5, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2e30eb2b, "ieee80211_sta_eosp" },
	{ 0x31331c99, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26bee6dc, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xccfbca55, "kthread_park" },
	{ 0x66cb02c1, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x3f85bf83, "of_get_property" },
	{ 0xb3ea0c6b, "wake_up_process" },
	{ 0xe35a8637, "dev_driver_string" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x34b21cfa, "napi_complete_done" },
	{ 0x529e2783, "ieee80211_get_tx_rates" },
	{ 0xb96bbb8f, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x654148af, "ieee80211_sta_uapsd_trigger" },
	{ 0x76c1c111, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f7aa099, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x4c1a27af, "pci_disable_link_state" },
	{ 0xeb0f6d7e, "_dev_info" },
	{ 0xc04560af, "napi_gro_receive" },
	{ 0x7c189be2, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x667bff6a, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x8023c868, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd43babfb, "of_get_child_by_name" },
	{ 0x7b883d4f, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd9f826a, "ieee80211_queue_delayed_work" },
	{ 0xe904dfeb, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x34985193, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7efa53b8, "of_prop_next_string" },
	{ 0xacf735e4, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x158c7991, "simple_attr_release" },
	{ 0xd7f2fc24, "ieee80211_calc_rx_airtime" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xff0404b6, "ieee80211_find_sta_by_ifaddr" },
	{ 0x49d9f21e, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd8136061, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe1ce445d, "skb_push" },
	{ 0xa0cbff6b, "napi_enable" },
	{ 0x63095d5a, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf8ce2215, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0xe15833d1, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf9a2b652, "of_find_property" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x202fecb7, "kthread_stop" },
	{ 0x236a91a6, "ieee80211_free_txskb" },
	{ 0x914f6cc4, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x80b6d5d3, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb9aa187a, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8e6f705f, "ieee80211_rx_list" },
	{ 0xcc98209d, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xc97c2975, "page_pool_create" },
	{ 0xf31a40d5, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa15f3322, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23cd3047, "kthread_create_on_node" },
	{ 0x3c823d5c, "cfg80211_reg_can_beacon" },
	{ 0x90b763c0, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x5c409f0b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf06da559, "ieee80211_unregister_hw" },
	{ 0xfbf7f296, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e0a9525, "of_nvmem_cell_get" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0xfd763cca, "ieee80211_sta_ps_transition" },
	{ 0xeb58c583, "debugfs_create_u8" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa065e3b4, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0xba76de33, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");
