#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xa0bb10f7, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x80fc0848, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x61427feb, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x52f2562d, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xbc4bc002, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xebaeefb9, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x1e11b5a8, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xbcdfb003, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x6979927d, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x002468f2, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x5179acfc, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x25c8e65f, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x56c82bec, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x107e759a, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x3e16c042, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x0149a229, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x7f4cad49, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xff00cdec, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x988d12d8, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x35cf4c9a, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x4d0937b8, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x3fa74833, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x1e537cf5, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x7f531edc, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xc1b07e5b, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x3be8993a, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x8d9317f3, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xcbc8c7db, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x97cc3cf2, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x009dbdf5, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xc44d2851, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x922b1b55, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xf915955e, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x3a55dd12, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xfe76ef06, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x80c59373, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x5023a850, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xaa418137, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x0fef3ca2, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x9e6c045a, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xfcba9468, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x45fa89d5, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x2baa5f4d, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x888452f6, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xe724ec9c, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x199ea73c, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x13cc445c, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x7660a93a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5558d00, "ieee80211_iterate_interfaces" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x63b7d905, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4625ed80, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xa328ecfe, "request_firmware" },
	{ 0x5d9f0fb5, "led_classdev_suspend" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0x89790b5b, "ieee80211_tx_status_ext" },
	{ 0xb4998925, "debugfs_create_blob" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd7c01938, "led_classdev_unregister" },
	{ 0x7a1dd83c, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9cbfe2a5, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc8f8544d, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x31331c99, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x47e1e969, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcd8f023f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbe823432, "skb_queue_purge_reason" },
	{ 0xe35a8637, "dev_driver_string" },
	{ 0x77f009ee, "ieee80211_get_buffered_bc" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0xeb0f6d7e, "_dev_info" },
	{ 0x7c189be2, "of_get_mac_address" },
	{ 0x667bff6a, "skb_queue_tail" },
	{ 0xd3a61f58, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd9f826a, "ieee80211_queue_delayed_work" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x2980415f, "_dev_err" },
	{ 0x84c1e48b, "simple_open" },
	{ 0x53012571, "ieee80211_ctstoself_get" },
	{ 0x9ec87789, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe1ce445d, "skb_push" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x236a91a6, "ieee80211_free_txskb" },
	{ 0x914f6cc4, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5171c8f8, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x41687d82, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa15f3322, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe984512e, "ieee80211_tx_status" },
	{ 0xd9db2cee, "ieee80211_stop_queue" },
	{ 0x1851643d, "__netdev_alloc_skb" },
	{ 0x61d53853, "ieee80211_stop_queues" },
	{ 0x9ec394ad, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9c50f2fa, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1a18e921, "wiphy_rfkill_start_polling" },
	{ 0xe8c10507, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5c409f0b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x563bcf77, "led_classdev_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf06da559, "ieee80211_unregister_hw" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x80ca649b, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x449d0798, "ieee80211_rts_get" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcf033a41, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc6fea12d, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0x7f3820bf, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x346561c2, "ieee80211_rx_napi" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "85E3D6DC14C47ED1A12AEAF");
