#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xee0afae6, "");
SYMBOL_CRC(rtw_dump_reg, 0xe83d9af8, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xd0039f08, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x667525f4, "");
SYMBOL_CRC(rtw_core_init, 0xc181bf37, "");
SYMBOL_CRC(rtw_core_deinit, 0x1e6ade72, "");
SYMBOL_CRC(rtw_register_hw, 0x6d0d1138, "");
SYMBOL_CRC(rtw_unregister_hw, 0x689e8ba0, "");
SYMBOL_CRC(rtw_ops, 0x9f94af1c, "");
SYMBOL_CRC(check_hw_ready, 0xeb724dc4, "");
SYMBOL_CRC(rtw_restore_reg, 0x8dd0a1aa, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x36d7062b, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0xdece9e7e, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x292ac987, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0xeb88cc97, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xcd9c747f, "");
SYMBOL_CRC(rtw_rx_stats, 0x006cc18f, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x7e21b29b, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x30906708, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x5f79310d, "");
SYMBOL_CRC(rtw_phy_init, 0x793f571e, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0xe2534f9a, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x701c1000, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xb0107eeb, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x54474879, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x294bd4d7, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xffeb56a4, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0xebd0ae2b, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x28b49181, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xa16a3225, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xcecf5bc8, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x82985dfd, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xeea6dbd4, "");
SYMBOL_CRC(rtw_phy_load_tables, 0xd9b6a0c9, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x6f6860a6, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x38ffa7ec, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x6895c5c4, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x8d1152b7, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x70450148, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x416b95f4, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0xfa416aa5, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0xb2a60102, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x80f6ef38, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x61840486, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xded94062, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xf1ed6931, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xb0a1b685, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xef92ca13, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x873af0ce, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x839f86ba, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x13810e8e, "");
SYMBOL_CRC(rtw_power_mode_change, 0xe99177ad, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x7b17456c, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x656b29e2, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x3c58cd8e, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x0984c34b, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x832742ac, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x6c9e0a8c, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x749f3329, "");
SYMBOL_CRC(rtw_regd_get, 0xe6ec4538, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb95156bf, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x26052158, "ieee80211_connection_loss" },
	{ 0x814c5dff, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66cda23c, "ieee80211_txq_get_depth" },
	{ 0x3de92ef3, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5ab6a195, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x63b7d905, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4625ed80, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedf99db4, "ieee80211_probereq_get" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8da7b9a3, "ieee80211_iterate_stations_atomic" },
	{ 0xbe6ec7bd, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb84f2c93, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa4ac3fa2, "ieee80211_nullfunc_get" },
	{ 0xf208b2c8, "ieee80211_pspoll_get" },
	{ 0x7a1dd83c, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8f8544d, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbe823432, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xc78ac14b, "ieee80211_find_sta" },
	{ 0xeabf01a6, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x32d141d0, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0xeb0f6d7e, "_dev_info" },
	{ 0x667bff6a, "skb_queue_tail" },
	{ 0x3d6852dd, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xe2057a27, "wiphy_to_ieee80211_hw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd9f826a, "ieee80211_queue_delayed_work" },
	{ 0xa126ae25, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x2980415f, "_dev_err" },
	{ 0x1acb23af, "request_firmware_nowait" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xff0404b6, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe1ce445d, "skb_push" },
	{ 0x59783b59, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x34e53bb2, "ieee80211_iter_keys_rcu" },
	{ 0x236a91a6, "ieee80211_free_txskb" },
	{ 0x9b49d033, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb9aa187a, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x41687d82, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1851643d, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x61d53853, "ieee80211_stop_queues" },
	{ 0xe40f42d4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x11905c66, "ieee80211_scan_completed" },
	{ 0x5c409f0b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf06da559, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x80ca649b, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x188a98de, "skb_copy" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8030338a, "ieee80211_cqm_rssi_notify" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4279789f, "ieee80211_request_smps" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0xcf033a41, "ieee80211_queue_work" },
	{ 0xc6fea12d, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F0AF00723B6B4B68F68159E");
