#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xc2333124, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x6996fc84, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x3fc684b4, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x9d668cf8, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xc1487061, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xeec4c938, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x7cbe7ae0, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xe5f74c47, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x51240a80, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xd1a0a4b9, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x16e87241, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x6233cf87, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x338ceed6, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xaa5f0dd5, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xe8a6ac47, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x25817b7a, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x9ee15ffe, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x975ffc15, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xbf0236b1, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x7bbe02c8, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x083a60f9, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xcccb6db7, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xb95e9790, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xa4b7e121, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x1c7338cd, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x776578ac, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xa12d4a8b, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x5f6d17da, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x889ad286, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xc35476e9, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xa0b0516b, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xe1693f28, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xe748ab1c, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x289c156f, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xcdd8837e, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xf93a4775, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x0131235d, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x2d54c700, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x1b3b031d, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x80d2e0f6, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x49a0a9cf, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x5791220f, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xc0b7879e, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x86c437e9, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x48d22927, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242380c2, "iscsi_host_remove" },
	{ 0xa9ae3fa7, "pci_dev_put" },
	{ 0xf3f13d80, "iscsi_host_free" },
	{ 0xb9953167, "pci_dev_get" },
	{ 0xac320b2f, "iscsi_host_add" },
	{ 0xdb3f78c1, "iscsi_host_alloc" },
	{ 0xd5994ad, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0xfce05c78, "cxgbi_ppm_init" },
	{ 0xf23f6038, "iscsi_conn_queue_xmit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x935e2734, "cxgbi_ppm_ppods_reserve" },
	{ 0x28df3702, "dma_map_sg_attrs" },
	{ 0xa0907575, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xad9cbb10, "cxgbi_ppm_ppod_release" },
	{ 0x7e725bae, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdb1eb4af, "__kfree_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b11596, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa6e6c762, "iscsi_tcp_set_max_r2t" },
	{ 0xf905bd3f, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xe3205aa1, "iscsi_tcp_conn_setup" },
	{ 0x9b5e5bbb, "iscsi_session_setup" },
	{ 0x61581e28, "iscsi_tcp_r2tpool_alloc" },
	{ 0x808f8df4, "iscsi_session_teardown" },
	{ 0xa31d7610, "iscsi_tcp_r2tpool_free" },
	{ 0x553b67d0, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf8af2433, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x980363bc, "iscsi_host_get_param" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9d07203e, "iscsi_unregister_transport" },
	{ 0x318f839b, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x2d130c4e, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xdbd795ea, "iscsi_register_transport" },
	{ 0x639d4ec0, "init_net" },
	{ 0xc8316f41, "ip6_route_output_flags" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xac57673e, "__alloc_skb" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xee4e9ffc, "iscsi_lookup_endpoint" },
	{ 0xc8d0f81e, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xdd08b8de, "iscsi_tcp_hdr_recv_prep" },
	{ 0xd44af958, "iscsi_put_endpoint" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb0d25a42, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xce3a080a, "iscsi_tcp_recv_skb" },
	{ 0x5ab6a195, "skb_put" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x80e9d0ae, "dump_page" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3e6bbfca, "make_kuid" },
	{ 0xc7f1845f, "ip_route_output_flow" },
	{ 0x167626f4, "dst_release" },
	{ 0xacab15b8, "neigh_destroy" },
	{ 0xc55b4d9b, "__ip_dev_find" },
	{ 0xe6c799a3, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbb28a8f8, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x160a09dd, "__folio_put" },
	{ 0x1006e08c, "__put_devmap_managed_page_refs" },
	{ 0xd3a61f58, "module_put" },
	{ 0xd5fea55b, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xf39df5f7, "iscsi_destroy_endpoint" },
	{ 0x6e566eb2, "iscsi_create_endpoint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3de92ef3, "param_ops_uint" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
