#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x4ed32a3c, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x6d29b1e1, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x22a9cef0, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x94e65b27, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x4ae100eb, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x8f401749, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x19567d4b, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x927a8d3d, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x6b66b065, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x6538adfe, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0xa8ddf8c1, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x5d87cf55, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x9f3fd001, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x02580dff, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xf4e65728, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x6faf8542, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x23e5bb85, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x2eef0b08, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x82256029, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x8c2db7bc, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xb136a07c, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xc080a003, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x3f8309de, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xd18963ec, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x5a0badf0, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x59035b6d, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xb1c61495, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x0ad68d55, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x84844a04, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xfba2a6f4, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x7c3f53e8, "_gpl");
SYMBOL_CRC(nfs_create, 0x6cca8bf1, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xed7a9991, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x6887517b, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x91b16095, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x608d53dc, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x13dd1e2c, "_gpl");
SYMBOL_CRC(nfs_link, 0x9a152a19, "_gpl");
SYMBOL_CRC(nfs_rename, 0xdb669a94, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x1c2ef98a, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x2ead23ce, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x78ef9488, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xfb3b1c37, "_gpl");
SYMBOL_CRC(nfs_permission, 0x9fd6d8d1, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x79bcbc98, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x9addef49, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x2db330b9, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0xaa44bb5e, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x342b2e69, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xa154f434, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xbd8d3480, "_gpl");
SYMBOL_CRC(nfs_lock, 0x42012904, "_gpl");
SYMBOL_CRC(nfs_flock, 0xf84344b4, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xbcfb09e7, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x2898046e, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x1c1a4328, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x1f736cfb, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x891d3a4d, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x9786b62a, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x3610cf52, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x428b58d8, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xc5fe09ef, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x5da1b68a, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x63749c5f, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x8fed0bef, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x1c70b971, "_gpl");
SYMBOL_CRC(nfs_getattr, 0xb6ce6940, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xaf42f1ea, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x64c0e379, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x68b5368f, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xf60a84e0, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x2a53ff0c, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xf9d5717e, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0xbe6ffbe9, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x55c59dac, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x1a37e52b, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x76b08a44, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x934c4229, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x3e422895, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x82abbebf, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x14fb3200, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x5d253b93, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x143663bc, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xc2de5bcb, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xb5d5e339, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x84710411, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x7d51d55d, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x4ef4fa33, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x36bf0217, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xa4bf0910, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xe7220fb8, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x209a020d, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x73994d19, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0xee224275, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x91331047, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x735351b4, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xb7982adb, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xdba6926d, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xf4de8760, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xfca66dee, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0x3848f7a0, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x8cdfb001, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xb2dad316, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x364212da, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x5a7669d9, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x5ad12634, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xb91fc719, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0xb69ac387, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x305734c1, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xe9833882, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0xd1cb5fe8, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xd77cbe4b, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x98a2d45e, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x3f623a08, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xff95a77e, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x6ef6cab0, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x08b9ba96, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xb76d28ee, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0xfe7753d2, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x191da9f8, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x38b6c074, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x09da752d, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x73f09a67, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x1a937711, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xfb4b60e4, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0xf7e4450e, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x44795e35, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x93b18e8f, "_gpl");
SYMBOL_CRC(nfs_path, 0xd53a8f1c, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x2439c508, "_gpl");
SYMBOL_CRC(nfs_submount, 0x9b16126a, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x7e202e89, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x80094d73, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x29086fa3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x2aa05a7d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x34566b51, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x212c69b3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xbcc60c8d, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x2e9459e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x35a6203f, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x664429c2, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x22353ad2, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x6950083b, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xe57c1dda, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6beaeff6, "rpc_put_task" },
	{ 0xfe5c82c4, "super_setup_bdi_name" },
	{ 0x3e869006, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x81ea67f9, "__page_file_index" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xff6de82e, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdc0bb6ab, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3e22b2c, "clear_nlink" },
	{ 0x77ff6648, "file_check_and_advance_wb_err" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0x7cec0378, "d_alloc_parallel" },
	{ 0x5bc418fb, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ea04504, "clear_inode" },
	{ 0x2bf02d68, "inode_to_bdi" },
	{ 0x128dbdd4, "bpf_trace_run4" },
	{ 0xc23a6831, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x133092bc, "param_ops_ulong" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0xe5eb2c25, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9580eb7d, "sysfs_create_file_ns" },
	{ 0xb2defc0a, "rpc_shutdown_client" },
	{ 0x95b98015, "fs_param_is_string" },
	{ 0x4221a3d8, "folio_unlock" },
	{ 0x894ca71e, "mnt_set_expiry" },
	{ 0x178ef280, "param_ops_ushort" },
	{ 0xf9f649a8, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x820a401, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xea2c501c, "filemap_map_pages" },
	{ 0x7143ed11, "__fscache_begin_read_operation" },
	{ 0x59513bcd, "xdr_inline_decode" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x80e9d0ae, "dump_page" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x79da9921, "kobject_rename" },
	{ 0xe70f4748, "security_sb_set_mnt_opts" },
	{ 0x524778d6, "init_special_inode" },
	{ 0x844e4ce5, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x3156f4bc, "filemap_fdatawrite_range" },
	{ 0xdcc67920, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ef75f09, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x18a10126, "d_make_root" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x23c827ef, "sync_filesystem" },
	{ 0xf38e30c1, "__fscache_unuse_cookie" },
	{ 0xc84cec51, "folio_redirty_for_writepage" },
	{ 0x42996c87, "register_shrinker" },
	{ 0x4f1d6afe, "sget_fc" },
	{ 0xde661fa5, "d_splice_alias" },
	{ 0xabb6110c, "generic_error_remove_page" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x90c9e95d, "unmap_mapping_range" },
	{ 0x9f48c3c3, "ihold" },
	{ 0x32c7f91d, "inode_dio_wait" },
	{ 0x3eb410f0, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa796e62a, "invalidate_inode_pages2_range" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x346b1593, "read_cache_page" },
	{ 0xb47812a2, "finish_open" },
	{ 0x3c15d3da, "iput" },
	{ 0x745e220d, "kset_unregister" },
	{ 0xb85eab5d, "security_sb_clone_mnt_opts" },
	{ 0x3982ff82, "fs_param_is_enum" },
	{ 0xa3d39c83, "logfc" },
	{ 0x1006e08c, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa1c1c89, "iter_file_splice_write" },
	{ 0xf83824e, "rpc_pton" },
	{ 0x119e333e, "mod_node_page_state" },
	{ 0xb7539b7, "rpc_wake_up_queued_task" },
	{ 0x5bacc452, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe64d8e8a, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xeda5935c, "rpc_restart_call_prepare" },
	{ 0x8facd230, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xde42e56d, "__module_get" },
	{ 0xb48d5199, "__fscache_relinquish_cookie" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbc0ab304, "register_filesystem" },
	{ 0xbb0a5736, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xaf740cc5, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xa5e422e8, "rpc_sleep_on" },
	{ 0x54846e48, "rpc_run_task" },
	{ 0x431902d6, "netfs_readahead" },
	{ 0xbe70d59f, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdb3071a7, "d_prune_aliases" },
	{ 0xd7ab19e1, "__put_cred" },
	{ 0xcc063fef, "register_pernet_subsys" },
	{ 0xe2757ab4, "swapcache_mapping" },
	{ 0x6611d16f, "rpc_cancel_tasks" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x8f6ef4e5, "migrate_folio" },
	{ 0xe5f4d688, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd0e3e76, "fs_param_is_u32" },
	{ 0xa251d105, "inode_newsize_ok" },
	{ 0xc17d34e, "d_drop" },
	{ 0x3cc6a99, "deactivate_super" },
	{ 0xb16d5553, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x3fa08166, "security_sb_mnt_opts_compat" },
	{ 0x3c024026, "param_get_uint" },
	{ 0x950c462d, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3e6bbfca, "make_kuid" },
	{ 0x7bc9f3bc, "truncate_inode_pages_final" },
	{ 0xd7aecc09, "d_alloc" },
	{ 0x639aaf9a, "fs_kobj" },
	{ 0xf90a7678, "net_ns_type_operations" },
	{ 0x68c2d6f5, "__filemap_set_wb_err" },
	{ 0xadfc8483, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x5b7d1db8, "generic_perform_write" },
	{ 0x89558ac9, "__filemap_get_folio" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xbaeb8243, "unregister_shrinker" },
	{ 0xa7e64ffa, "simple_nosetlease" },
	{ 0xb5b3aa0f, "__free_pages" },
	{ 0x4b40a064, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd3a61f58, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x29984b4f, "rpc_setbufsize" },
	{ 0x3e9abdaa, "fs_context_for_submount" },
	{ 0xda6f4839, "inode_init_once" },
	{ 0xe8b3281f, "folio_wait_private_2" },
	{ 0x3f529a7a, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xe3fab8f1, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe960d668, "seq_escape_mem" },
	{ 0x34c79ddf, "ilookup5" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x690b17c3, "generic_parse_monolithic" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5f3cde7b, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x34985193, "perf_trace_run_bpf_submit" },
	{ 0x1554ab18, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x4918e288, "generic_file_read_iter" },
	{ 0xbb138b58, "unlock_page" },
	{ 0x43bae3aa, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xad2a5d2b, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4cbe04b4, "put_fs_context" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb4eee717, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x1a0b40e1, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaac19bba, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4ef95922, "write_cache_pages" },
	{ 0xcc1a394d, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd8a8b39, "kmem_cache_free" },
	{ 0x74c18b9e, "rpc_max_payload" },
	{ 0x49ceae1f, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xd1cb1b8, "d_move" },
	{ 0x332d9740, "seq_putc" },
	{ 0x5ab441ec, "rpc_proc_unregister" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7b94599e, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xad7d07c8, "folio_wait_writeback" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3151b23e, "nlmclnt_rpc_clnt" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x7fc79049, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4057a771, "write_inode_now" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xc67dce1a, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xe42e0a36, "rpc_create" },
	{ 0x25d97527, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xe805da66, "__folio_start_writeback" },
	{ 0xa1e288b1, "d_obtain_root" },
	{ 0x73a751fd, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xeb26a7c6, "folio_end_writeback" },
	{ 0xd19c0590, "rpc_call_sync" },
	{ 0x1aa99599, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x4081d677, "rpc_put_task_async" },
	{ 0x8a9bb12b, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xdbd2c329, "xdr_init_decode_pages" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xc48a724e, "kmemleak_not_leak" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x98fa0c07, "rpc_exit" },
	{ 0x618f2198, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xfdbb53ef, "d_delete" },
	{ 0x12b33c7b, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xf3fd6a70, "nfs_ssc_unregister" },
	{ 0x3e74ad0f, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0x4fde7897, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0eb9e1f, "iov_iter_get_pages_alloc2" },
	{ 0x263f844e, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x90b763c0, "bpf_trace_run3" },
	{ 0x58f6ab95, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb4963dc, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdb9fa6f2, "generic_read_dir" },
	{ 0xa528c0ff, "kobject_del" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x8942c989, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xece9be94, "filemap_fdatawait_range" },
	{ 0x386b7ec6, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x2b0d5895, "security_inode_notifysecctx" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbfcc0a3a, "nfs_ssc_register" },
	{ 0x8b4d4da1, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcb9ce8bb, "invalidate_inode_pages2" },
	{ 0x318f839b, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0x160a09dd, "__folio_put" },
	{ 0xa2095084, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xb4e93e28, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2826f814, "rpc_init_wait_queue" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x40470452, "deactivate_locked_super" },
	{ 0x5e01016c, "put_rpccred" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3124537e, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc8e7364e, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xed7c789, "kobject_uevent" },
	{ 0x393d9bc6, "__fscache_invalidate" },
	{ 0xf9fda140, "folio_mapping" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xec6ebe32, "cred_fscmp" },
	{ 0x5fc61927, "__folio_lock" },
	{ 0x5a78b516, "filemap_dirty_folio" },
	{ 0x97e92c3a, "pagecache_get_page" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x39de4180, "is_bad_inode" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0x723976af, "__fscache_use_cookie" },
	{ 0x49c4ed61, "rcuwait_wake_up" },
	{ 0x33b46b29, "_proc_mkdir" },
	{ 0xbf37e306, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x53331de0, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x71f023d, "__fs_parse" },
	{ 0x1eaa93e1, "sysfs_create_link_nowarn" },
	{ 0x2853467d, "filemap_splice_read" },
	{ 0xa08a58a1, "dget_parent" },
	{ 0x60a46bed, "nlmclnt_init" },
	{ 0x4d072cd3, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3c931456, "kmalloc_trace" },
	{ 0x33a85c95, "iget5_locked" },
	{ 0x7f549278, "filemap_write_and_wait_range" },
	{ 0x94cf8a70, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6ed7aff5, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5e39755d, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0x5677dede, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0x175ed9f2, "generic_write_checks" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xea5c6e90, "mntget" },
	{ 0xeb10abf1, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0x2bd00de9, "kmem_cache_alloc_lru" },
	{ 0xc16875cc, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xaf7f1042, "d_invalidate" },
	{ 0xa6fd9aa, "__mark_inode_dirty" },
	{ 0x7f3820bf, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa8232b8f, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0xc7c63c1d, "rpc_wait_for_completion_task" },
	{ 0xa9bd33a, "set_anon_super" },
	{ 0x34d51f8b, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76fb0019, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb7920715, "kmem_cache_destroy" },
	{ 0xebad5c81, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a516335, "kobject_put" },
	{ 0x3636ab70, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "A6C44346B32D0E4F7CF1550");
