#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x0378fd88, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xe8206801, "");
SYMBOL_CRC(dccp_v4_send_check, 0x3b4dad20, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x9dca6fc4, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x5187ff5b, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x9c830c38, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x4c54c017, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xec9f2281, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95dc31e2, "__inet_lookup_established" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6381040b, "inet_bhash2_reset_saddr" },
	{ 0x7b7fcab6, "inet_csk_addr2sockaddr" },
	{ 0x89ceb647, "inet_unregister_protosw" },
	{ 0x931ac8d3, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x82092d93, "dccp_shutdown" },
	{ 0x9ad01e94, "inet_bhash2_update_saddr" },
	{ 0x6d0d62c8, "dccp_connect" },
	{ 0xd0026918, "dccp_rcv_state_process" },
	{ 0xdea13c9f, "dccp_reqsk_send_ack" },
	{ 0x48ca791, "inet_lookup_reuseport" },
	{ 0xa2a3e4c, "__inet_lookup_listener" },
	{ 0x5e336d52, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9f3ed7b3, "sock_common_getsockopt" },
	{ 0x56527c90, "inet_bind" },
	{ 0x9475b78d, "__inet_inherit_port" },
	{ 0xad9f3117, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x998288f6, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x17bcc93f, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf3621927, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc7f1845f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x68f93f2c, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xd0340dcc, "sk_error_report" },
	{ 0xcc063fef, "register_pernet_subsys" },
	{ 0xeef32eb5, "inet_ehash_nolisten" },
	{ 0x122c3a7e, "_printk" },
	{ 0x818b36e4, "inet_getname" },
	{ 0x49bd1dc2, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x77af7244, "proto_unregister" },
	{ 0xd8bb3e33, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd04a8ee5, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x6bbaccbe, "dccp_done" },
	{ 0x737676f1, "inet_release" },
	{ 0xb0fe9856, "__sk_dst_check" },
	{ 0x38982ab4, "dccp_disconnect" },
	{ 0x986f81c0, "ip_route_output_key_hash" },
	{ 0x737dab16, "proto_register" },
	{ 0x2cd18068, "inet_hash" },
	{ 0xe2f83d53, "__sk_receive_skb" },
	{ 0xe0d0bb61, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x2e643142, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x35eddc59, "inet_csk_get_port" },
	{ 0x38008486, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xf3e7e63c, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xb3964a1e, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2301577, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x92543643, "inet_add_protocol" },
	{ 0x2aa7ea1, "inet_shutdown" },
	{ 0x48f15e85, "sk_free" },
	{ 0x227579a, "dccp_close" },
	{ 0x1541ddaa, "kfree_skb_reason" },
	{ 0x5a3a48c9, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x2fb60d68, "inet_hash_connect" },
	{ 0xbd8a8b39, "kmem_cache_free" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xce8a31bb, "inet_csk_route_child_sock" },
	{ 0x6b1df6e7, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0xd302fce1, "inet_csk_update_pmtu" },
	{ 0xfafc683e, "dccp_getsockopt" },
	{ 0x66c6adce, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8a9bb12b, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x9dbe0310, "skb_checksum" },
	{ 0x84496014, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd6ea1de7, "sock_no_mmap" },
	{ 0x816c7d1, "__pskb_pull_tail" },
	{ 0xdc0bb407, "dccp_child_process" },
	{ 0x1df49b35, "sock_common_recvmsg" },
	{ 0x8481090f, "dccp_setsockopt" },
	{ 0x9a4bb06d, "dccp_ioctl" },
	{ 0x8704d2de, "inet_sk_rebuild_header" },
	{ 0xf62f6a57, "inet_del_protocol" },
	{ 0x7b28eb29, "dccp_recvmsg" },
	{ 0x372cf005, "inet_sendmsg" },
	{ 0x4f0e3bfa, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa705824d, "dccp_create_openreq_child" },
	{ 0x95610c44, "inet_csk_prepare_forced_close" },
	{ 0xbcad9dab, "security_skb_classify_flow" },
	{ 0xa527829e, "sock_pfree" },
	{ 0x468f3d0, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xaa7fb7d6, "dccp_send_sync" },
	{ 0x167626f4, "dst_release" },
	{ 0x89f1b918, "sock_release" },
	{ 0xfa784db2, "dccp_make_response" },
	{ 0xcde653e8, "dccp_destroy_sock" },
	{ 0x6f182b08, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xed2db0d7, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe299b4a6, "sk_setup_caps" },
	{ 0xf9364209, "ip_build_and_send_pkt" },
	{ 0xdc014f74, "dccp_sendmsg" },
	{ 0x5066b3a9, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x33343254, "inet_twsk_put" },
	{ 0x109b605b, "inet_unhash" },
	{ 0x43ab52c4, "ip_getsockopt" },
	{ 0x12a20def, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9abd6736, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xb9998aee, "inet_csk_reqsk_queue_drop" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "7CD7B0311F5E62658C36AA3");
